Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class Test.TestletEntry

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.Test.TestletEntry

Enclosing class:
  Test

protected static final class Test.TestletEntry
extends java.lang.Object

testlet to run

Field Summary
`protected java.lang.String` | `m_testname`

Constructor Summary
`protected` | `Test.TestletEntry()`

Method Summary
`void` | `addText(java.lang.String testname)` name of test.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_testname

    protected java.lang.String m_testname

Constructor Detail

### Test.TestletEntry

    protected Test.TestletEntry()

Method Detail

### addText

    public void addText(java.lang.String testname)

  name of test. No property expansion takes place here

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.